From 3ce6cf290c350d3ceb4d733d393498dd7703402e Mon Sep 17 00:00:00 2001
From: travankor <travankor@tuta.io>
Date: Sat, 20 Jul 2019 15:47:31 -0700
Subject: [PATCH] New package: dmenu-wayland-0.1.

---
 srcpkgs/dmenu-wayland/template | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)
 create mode 100644 srcpkgs/dmenu-wayland/template

diff --git a/srcpkgs/dmenu-wayland/template b/srcpkgs/dmenu-wayland/template
new file mode 100644
index 00000000000..8565d5e68ea
--- /dev/null
+++ b/srcpkgs/dmenu-wayland/template
@@ -0,0 +1,23 @@
+# Template file for 'dmenu-wayland'
+pkgname=dmenu-wayland
+version=0.1
+revision=1
+build_style=meson
+configure_args="pkg_config_path=${XBPS_HOSTDIR}/lib/pkgconfig"
+hostmakedepends="cmake pkg-config"
+makedepends="cairo-devel glib-devel gobject-introspection libxkbcommon-devel
+ pango-devel wayland-devel wayland-protocols"
+short_desc="Dmenu for wayland-compositors"
+maintainer="travankor <travankor@tuta.io>"
+license="MIT"
+homepage="https://github.com/nyyManni/dmenu-wayland"
+distfiles="https://github.com/nyyManni/dmenu-wayland/archive/v${version}.tar.gz"
+checksum=dcbc70156e138b2bb8788aeebf75af14f75e188ed78865840e341b5375ed6614
+
+if [ "$CROSS_BUILD" ]; then
+	hostmakedepends+=" wayland-devel"
+fi
+
+post_install() {
+	vlicense LICENSE
+}
